%global srcname stringstream

Name:           nodejs-%{srcname}
Version:        0.0.5
Release:        1%{?dist}
Summary:        Encode and decode streams into string streams
License:        MIT
URL:            https://github.com/mhart/StringStream
Source0:        https://github.com/mhart/%{srcname}/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%description
%{summary}.

%prep
%autosetup -n StringStream-%{version}
rm -rf node_modules

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json stringstream.js \
     %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps

%check
%{__nodejs} -e 'require("./")'

%files
%doc README.md example.js
%license LICENSE.txt
%{nodejs_sitelib}/%{srcname}

%changelog
* Sat Feb 18 2017 Piotr Popieluch <piotr1212@gmail.com> - 0.0.5-1
- Update to 0.0.5

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Oct 25 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.0.4-1
- Initial package
